/* Global Styles */
:root {
    --white: #ffffff;
    --black: #000000;
    --golden-yellow: #d69e3d;
    --dark-golden: #966f2c;
    --background: #f3f0e9;
    --max-width:1200px;
}


html {
    box-sizing: border-box;
}

*, *:before, *:after {
    box-sizing: inherit;
}

/* Typography */
body {
    font-family: 'Karla', sans-serif;
    background-color: var(--background);
    margin: 0;
    padding: 0;
    color: var(--white);
    line-height: 1.2;
}

h1, h2, h3, nav, .nav-links a {
    font-family: 'Lato', sans-serif;
}

h1 {
    font-size: 2.027rem;
}

h2 {
    font-size: 1.802rem;
}

h3 {
    font-size: 1.424rem;
}

p {
    font-size: 16px;
}

body, h2, h3, p, blockquote {
    margin: 0;
    padding: 0;
}
 
/* Skip link styles */
.skip-link {
    position: absolute;
    top: -40px;
    left: 0;
    background: var(--black);
    color: var(--white);
    padding: 8px;
    z-index: 100;
    text-decoration: none;
}

.skip-link:focus {
    top: 0;
}

/* Grid Styles */
.grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1rem;
}
/* Global Button Styles */
.button {
    background-color: var(--white);
    color: var(--black);
    border: 2px solid var(--white);
    padding: 0.5rem 1rem;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, transform 0.3s ease-in-out;
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: bold;
    display: inline-block;
}

.button:hover,
.button:focus {
    background-color: var(--golden-yellow);
    border-color: var(--golden-yellow);
    color: var(--white);
    transform: scale(1.1);
}

/* Keyframes for animations */
@keyframes pulse {
    0%, 100% {
        transform: scale(1);
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
    }
    50% {
        transform: scale(1.05);
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
    }
}

@keyframes specialMove {
    0% { 
        transform: translateY(0) rotate(0) skew(0deg, 0deg) scale(1); 
        background-color:var(--golden-yellow);
    }
    20% { 
        transform: translateY(-50px) rotate(72deg) skew(10deg, 10deg) scale(1.2); 
        background-color: blue; 
    }
    40% { 
        transform: translateY(0) rotate(144deg) skew(-10deg, -10deg) scale(1); 
        background-color: yellow; 
    }
    60% { 
        transform: translateY(-50px) rotate(216deg) skew(10deg, 10deg) scale(1.2); 
        background-color: orange; 
    }
    80% { 
        transform: translateY(0) rotate(288deg) skew(-10deg, -10deg) scale(1); 
        background-color: pink; 
    }
    100% { 
        transform: translateY(-50px) rotate(360deg) skew(10deg, 10deg) scale(1.2); 
        background-color: red; 
    }
}

@keyframes pulseGrow {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
}

@keyframes subtleZoom {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
}

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-20px);
    }
    60% {
        transform: translateY(-10px);
    }
}

@keyframes rotateBackground {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/* Wrapper and Container */
.wrapper, .container {
    max-width: var(--max-width);
    margin: 0 auto;
}

/* Header and Navigation */
header {
    background-color: var(--black);
    color: var(--white);
    padding: 1rem 0;
    text-align: center;
}

nav .brand h2 {
    color: var(--white); 
}

nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0;
}

nav .brand {
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
}

nav .brand .logo {
    width: 30px;
    height: 30px;
    margin-right: 0.5rem;
}
.brand h1{
    margin-bottom: 10px;
}
nav .nav-links {
    display: flex;
    flex-direction: row;
    list-style: none;
    padding: 0;
    margin: 0;
    animation: pulseGrow 2s infinite;
}

nav .nav-links li {
    margin-bottom: 0.5rem;
    margin-right: 2rem;
}

nav .nav-links li a {
    color: var(--white);
    text-decoration: none;
    font-weight: bold;
    text-transform: uppercase;
    transition: color 0.3s ease, background-color 0.3s ease;
}

nav .nav-links li a:hover,
nav .nav-links li a:focus {
    color: var(--black);
    background-color: var(--dark-golden);
    padding: 0.5rem 1rem;
    border-radius: 4px;
    transform: scale(1.2);
}

/* Hero Section */
.hero-wrapper {
    text-align: center;
    justify-content: center;
    align-items: center;
    background: url('../images/hero-background.jpg') no-repeat center center/cover;
    color: var(--white);
    padding: 4rem 1rem;
    height: 600px;
    width: 100%;
    margin-bottom: 60px;
    position: relative;
    overflow: hidden;
}

.hero {
    position: relative;
    z-index: 1; 
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center; 
    text-align: center;
    padding: 0 30px;
}

/* Transparent overlay effect using pseudo-element */
.hero-wrapper::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: 0; 
    animation: subtleZoom 30s infinite;
}

.hero h1 {
    color: var(--white);
    text-transform: uppercase;
    margin-bottom: 40px;
}

.hero p {
    color: var(--white);
    padding: 0 50px;
    margin-bottom: 20px;
}

.hero button {
    background-color: var(--white);
    color: var(--black);
    border: none;
    padding: 0.5rem 2rem;
    cursor: pointer;
    text-transform: uppercase;
    transition: background-color 0.3s ease, transform 0.3s ease, box-shadow 0.3s ease;
    font-weight: bold;
    width: auto;
    display: inline-block;
    animation: pulse 2s infinite;
}

.hero button:hover {
    background-color: var(--dark-golden);
    color: var(--white);
    animation: specialMove 2s ease-in-out;
    transition: background-color 2s ease-in-out;
}

/* Welcome Section */
#welcome {
    padding: 10px;
}

#welcome h2 {
    color: var(--golden-yellow);
    text-transform: uppercase;
    font-size: 1.4rem;
    margin-bottom: 15px;
}

#welcome h3 {
    font-size: 2rem;
    color: var(--black);
    margin-bottom: 20px;
}

.grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}

.grid.large-first .grid-item:first-child {
    grid-column: span 2;
}

/* Offer Section */
#offer {
    text-align: center;
}

#offer h3 {
    color: var(--golden-yellow);
    font-size: 1rem;
    text-transform: uppercase;
    margin-bottom: 5px;
}

#offer h2 {
    margin-bottom: 1rem;
    font-size: 1.5rem;
    color: var(--black);
    text-transform: uppercase;
}

.offer-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 4rem;
}

.offer-item img {
    width: 100%;
    height: 170px;
    object-fit: contain;
    margin: 0 auto 1rem;
}

.offer-item h4 {
    font-size: 1.5rem;
    text-transform: uppercase;
    margin: 0.5px;
}

.offer-item h4 {
    font-size: 1.5rem;
    text-transform: uppercase;
    margin: 0.5rem 0;
    color: var(--black);
}

.offer-item p {
    font-size: 0.9rem;
    color: var(--black);
    max-width: 80%;
    margin: 0 auto;
}

/* Menu and Locations Section */
.menu-background {
    background: url('../images/coffee-shop.jpeg') no-repeat center center/cover;
    color: var(--white);
    text-align: center;
    justify-content: center;
    align-items: center;
    padding: 4rem 1rem;
    background-attachment: fixed;
    position: relative;
    height: 600px;
}

/* Transparent overlay effect using pseudo-element */
.menu-background::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 0;
}

/* Ensure the content is above the pseudo-element */
.menu-content {
    position: relative;
    z-index: 1;
    padding: 20px;
    border-radius: 10px;
    max-width: 80%;
    box-sizing: border-box;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* Specific styling for the "Our Menu" heading */
.menu-content h3 {
    font-size: 1rem;
    color: var(--golden-yellow);
    text-transform: uppercase;
    margin-bottom: 10px;
}

/* Specific styling for the "Explore" heading */
.menu-content h2 {
    font-size: 1.5rem;
    color: var(--white);
    text-transform: uppercase;
    margin-bottom: 1.5rem;
}

/* Button Styles */
.button {
    background-color: var(--white);
    color: var(--black);
    border: 2px solid var(--white);
    padding: 0.5rem 1rem;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, transform 0.3s ease-in-out;
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: bold;
    width: auto;
    display: inline-block;
    margin-bottom: 80px;
}

/* Explore Button */
.explore-button {
    background-color: var(--white);
    color: var(--black);
    border: 2px solid var(--white);
    animation: bounce 2s infinite;
}

/* Locations Button */
.locations-button {
    background-color: transparent;
    color: var(--white);
    border: 2px solid var(--white);
    animation: bounce 2s infinite;
}

/* Hover state for buttons */
.button:hover {
    background-color: var(--golden-yellow);
    border-color: var(--golden-yellow);
    color: var(--white);
    transform: scale(1.1);
}

/* About Us Section */
#about-us {
    padding: 2rem 1rem;
    text-align: left;
}

#about-us h3 {
    font-size: 2rem;
    color: var(--black);
    text-transform: uppercase;
    margin-bottom: 1rem;
}

#about-us h2 {
    font-size: 1rem;
    color: var(--golden-yellow);
    text-transform: uppercase;
    margin-bottom: 0.2rem;
}

#about-us img {
    margin-bottom: 30px;
}

#about-us p {
    font-size: 1rem;
    color: var(--black);
    line-height: 1.5;
    margin-bottom: 1rem;
}

#about-us button {
    background-color: var(--black);
    color: var(--white);
    border: none;
    padding: 0.8rem 2.5rem;
    cursor: pointer;
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: bold;
    width: auto;
    transition: background-color 0.3s ease, transform 0.3s ease-in-out;
    animation: pulse 1s infinite;
}

#about-us button:hover {
    animation: hoverEffect 2s infinite;
    border-radius: 20%;
    background-color: var(--golden-yellow);
    color: var(--black);
}

/* Pulse Animation */
@keyframes pulse {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
        box-shadow: 0 0 20px rgba(255, 255, 255, 0.5);
    }
}

/* Hover Animation */
@keyframes hoverEffect {
    0% {
        transform: rotate(0deg) scale(1);
    }
    50% {
        transform: rotate(360deg) scale(1.2);
    }
    100% {
        transform: rotate(0deg) scale(1);
    }
}

/* Testimonials Section */
.content-wrapper {
    background-color: var(--black);
    color: var(--white);
    padding: 40px 10px;
}

.section-title {
    font-size: 1em;
    color: var(--golden-yellow);
    text-transform: uppercase;
    margin-bottom: 20px;
    margin-top: 50px;
}

.section-subtitle {
    font-size: 2em;
    margin-bottom: 20px;
    color: var(--white);
    text-transform: uppercase;
    margin-bottom: 30px;
}

.testimonial-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 40px;
    justify-content: left;
}

.testimonial {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    overflow: hidden;
    width: 100%;
    max-width: 622px;
    height: 500px;
}

.testimonial img {
    display: none;
}

.testimonial-content {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    text-align: left;
    color: var(--white);
    padding: 20px;
    width: 100%;
    max-width: 80%;
    height: 100%;
}

.testimonial-content blockquote {
    border: none;
    padding: 0;
    margin: 0;
    width: 100%;
}

.testimonial:nth-child(1) {
    background-position: 50% 20%;
}

.testimonial:nth-child(2) {
    background-position: 90% 5%;
}

.testimonial:nth-child(3) {
    background-position: 90% 2%;
}

.testimonial-content blockquote p {
    color: var(--white);
    margin-bottom: 10px;
    font-size: 0.8rem;
    font-weight: bold;
    font-size: 1rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.testimonial-content blockquote p.testimonial-footer {
    color: var(--golden-yellow);
    font-weight: bold;
    margin-top: 5px;
    margin-bottom: 20px;
    font-size: 1.5rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

/* Footer styles */
.site-footer {
    background-color: var(--black);
    text-align: center;
}

.site-footer p {
    margin: 0;
    font-size: 1em;
    color: var(--white);
}

.site-footer .border-line {
    display: block;
    width: calc(100% - 20px);
    height: 1px;
    background-color: var(--white);
    margin: 0 auto;
}

/* Tablet style */

@media screen and (min-width: 768px){
    h1 {
        font-size: 2.986rem;
    }
    h2 {
        font-size: 2.488rem;
    }
    h3 {
        font-size: 1.728rem;
    }
    p {
        font-size: 1rem;
    }

    /* Adjust grid for #welcome section */
    #welcome .container {
        display: grid;
        grid-template-columns: 1fr;
    }

    #welcome h2,
    #welcome h3 {
        grid-column: 1 / -1; 
        text-align: left;
        padding: 0 1rem; 
    }

    #welcome h2 {
        margin-bottom: 0.5rem; 
        margin-top: 2rem;
        font-size: 1.2rem;
    }
    
    #welcome h3{
        margin-bottom: 1rem;
    }
    #welcome .grid {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 0.5rem;
        padding: 0 1rem;    
    }

    #welcome .grid-item:first-child {
        grid-column: span 2; 
        grid-row: span 2; 
    }

    #welcome .grid-item {
        grid-column: span 1; 
    }



 /* Adjustments for Offer Section */
 #offer h3, #offer h2 {
    text-align: center;
}

#offer h3 {
    margin-top: 40px;
}

#offer h2 {
    margin-top: 0;
}

.offer-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: auto;
    gap: 20px;
    justify-items: center;
    align-items: start;
}

.offer-item {
    text-align: center;
    padding: 0;
}

.offer-item:nth-child(1) {
    grid-column: 1 / 2;
    align-self: end;
}

.offer-item:nth-child(2) {
    grid-column: 3 / 4;
    align-self: end;
}

.offer-item:nth-child(3) {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
}

.offer-item p {
    max-width: 300px;
    margin: 0 auto;
    font-size: 0.7rem;
}

.offer-item h4{
    font-size: 1rem;

}
#offer {
    margin-bottom: 50px;
    padding: 70px;
}





 /* Adjustments for menu Section */
.menu-background .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    padding: 0 20px; 
}

.menu-content {
    text-align: center;
    padding: 20px;
    flex: 1; 
    max-width: 45%; 
}

.menu-content h3 {
    margin-bottom: 10px;
    font-size: 1.2rem; 
}

.menu-content h2 {
    margin-bottom: 20px;
    margin-top: 30px;
    font-size: 2rem; 
}

.menu-content .button {
    margin-bottom: 50px;
    margin-top: 50px;
    padding: 10px 20px; 
    font-size: 1rem; 
}
.menu-background{
    height: 500px;
}

/*  About Us section */
    #about-us .container {
        display: flex;
        align-items: flex-start; 
        justify-content: space-between;
        padding: 40px 20px;
       
    }

    #about-us img {
        max-width: 50%;
        height: auto;
        margin-right: 20px;
        margin-left: -20px;
        height: 500px;
        
    }

    #about-us .text-content {
        max-width: 50%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    #about-us h2 {
        font-size: 1rem;
        margin-bottom: 0.5rem;
        margin-top: 40px;
        color: #d69e3d;
    }

    #about-us h3 {
        font-size: 1.5rem;
        margin-bottom: 0.5rem;
        margin-top: 5px;
        color: #000;
    }

    #about-us p {
        font-size: 0.8rem;
        line-height: 1.5;
        margin-bottom: 0.5rem;
        color: #000;
    }

    #about-us button {
        align-self: flex-start; 
        margin-bottom: 40px;
    }

 

    /* Testimonials section */

    .testimonial-grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 15px; 
    }

    .testimonial {
        position: relative;
        background-size: cover;
        background-position: center;
        height: 500px; 
        display: flex;
        align-items: flex-end;
        justify-content: center;
        color: #fff;
        padding: 20px;
        margin: 10px 0;
    }

    .testimonial-content {
        background: rgba(0, 0, 0, 0.6); 
        padding: 10px 20px;
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        width: calc(100% - 0.5px); 
        max-width: 100%; 
        box-sizing: border-box;
        
    }

    .testimonial-content p {
        margin-bottom: 10px;
        font-weight: normal;
        box-shadow: none;
    
    }

    .testimonial-content p.testimonial-footer {
        font-weight: bold;
        color: #d69e3d; 
        font-weight: normal;
        box-shadow: none;
    }

    .testimonial img {
        display: none;
    }

    #testimonials .section-subtitle{
    font-size: 3rem;
    }

.testimonial{
    margin-bottom:70px ;
}
}


/* Desktop */
@media screen and (min-width: 1100px) {
   
    /* hero */
    .hero p{
        font-size: 0.9rem;
        max-width: 70%;
    }

   .hero h1{
    font-size: 3rem;
    max-width: 60%;
   }

  /* welcome section */
  #welcome .container{
    max-width: 80%;
  }
  #welcome h2{
    font-size: 1rem;
  }
  #welcome h3{
    font-size: 2rem;
    max-width: 50%;
  }


   /* Offer Section style*/
   #offer .container{
    max-width: 80%;
   }

#offer h3 {
    color: var(--golden-yellow);
    font-size: 1rem;
    text-transform: uppercase;
    margin-bottom: 10px;
}
#offer .offer-item :nth-child(2){
    margin-top: -10px;
}
#offer h2 {
    margin-bottom: 30px;
    font-size: 2rem;
}

.offer-grid {
    display: flex;
    justify-content: center;
    gap: 2rem;
}

.offer-item h4 {
    font-size: 1rem;
}

.offer-item p {
    font-size: 0.8rem;
    max-width: 100%;
}




/* Specific styling for the "Explore" heading */
.menu-content h2 {
    font-size: 1.2rem;
    max-width: 80%;
 
}

.menu-background .container{
    max-width: 80%;
}
/* About Us Section */
#about-us .container,
#testimonials .container{
   max-width: 80%;
}
#testimonials .section-subtitle{
    max-width: 50%;
    font-size: 1.8rem;
}

#about-us img {
    height: auto;
}

/* footer */
.border-line{
    max-width: 80%;
}




}


















 
    
